TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsSquare ( elt-fld^fin x ) -> elt-alg^boo, elt-fld^fin

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> True iff the element x of the the finite field F is the square of an element of F; if true, such an element is also returned. </shortdoc>

### Examples

x_gf7 := FiniteField(7); IsSquare(One(x_gf7)); IsSquare(Element(x_gf7,2));
x_gf7 := FiniteField(7); IsSquare(-One(x_gf7)); IsSquare(Element(x_gf7,3));

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack